Last Comment Bug 337983 - model > * > submission makes submit crash
: model > * > submission makes submit crash
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- critical (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 05:25 PDT by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.07 KB, patch)
2006-05-15 05:28 PDT, Allan Beaufour
doronr: review+
aaronr: review+
Details | Diff | Splinter Review

Description Allan Beaufour 2006-05-15 05:25:30 PDT
nsXFormsSubmissionElement::Submit() forgets null-check the rv of GetModel(), so inserting any element in between model and submission makes us crash.
Comment 1 Allan Beaufour 2006-05-15 05:28:39 PDT
Created attachment 222027 [details] [diff] [review]
Patch
Comment 2 Allan Beaufour 2006-05-16 01:18:17 PDT
Fixed on trunk

Note You need to log in before you can comment on or make changes to this bug.